commit:     d666285697b47966b44e31c1e5abee90d9dc29a7
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  7 14:35:27 2018 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Sun Oct  7 14:35:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6662856

dev-libs/libburn: Version bump to 1.5.0. Switch to EAPI 7.

Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11

 dev-libs/libburn/Manifest             |  1 +
 dev-libs/libburn/libburn-1.5.0.ebuild | 41 +++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-libs/libburn/Manifest b/dev-libs/libburn/Manifest
index a27c7ec9447..eabcb915af7 100644
--- a/dev-libs/libburn/Manifest
+++ b/dev-libs/libburn/Manifest
@@ -1 +1,2 @@
 DIST libburn-1.4.8.tar.gz 977757 BLAKE2B 
2a59adbd104238857cd848cb76c2da3e5ea61112607832c42bba2c47999218bf87563fe2a3901370d2a8cbbfbe2a6dfb1615efc6be10f7ee52d7f822917504f4
 SHA512 
e02c08078313abb19108bb394741d4bde1c5098c1a200129940744e03078d8350b6ac951bf5523872a343b3f9b7a4954dda60a3336997f975abdee6dbae9b87c
+DIST libburn-1.5.0.tar.gz 979953 BLAKE2B 
7fdd6d8314d65547e48baa3bb7c0b8f94c5d5a799e62d79d8dfcd5de644c555be437fc7c84134598703b9335c2330c49e8c7c7adbaefa9e1f288109e0010f8df
 SHA512 
c524d672d79db2f6dc22f6381cd422ddaa3b61d6741c998c773772722e37c53576ae9549dd17a33c2d020c66857ecbb948f353bc22cdf28c2bb115bd2b82d4a2

diff --git a/dev-libs/libburn/libburn-1.5.0.ebuild 
b/dev-libs/libburn/libburn-1.5.0.ebuild
new file mode 100644
index 00000000000..8b37ce1e684
--- /dev/null
+++ b/dev-libs/libburn/libburn-1.5.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Open-source library for reading, mastering and writing optical 
discs"
+HOMEPAGE="https://dev.lovelyhq.com/libburnia/web/wikis/home";
+SRC_URI="http://files.libburnia-project.org/releases/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug static-libs"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+RDEPEND=""
+DEPEND="
+       ${RDEPEND}
+"
+
+src_configure() {
+       econf \
+       $(use_enable static-libs static) \
+       --disable-ldconfig-at-install \
+       $(use_enable debug)
+}
+
+src_install() {
+       default
+
+       dodoc CONTRIBUTORS doc/{comments,*.txt}
+
+       docinto cdrskin
+       dodoc cdrskin/{*.txt,README}
+       docinto cdrskin/html
+       dodoc cdrskin/cdrskin_eng.html
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to